Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.ld
Class QueryAttributes

    java.lang.Object
      |
      +--com.bea.ld.QueryAttributes

public final class QueryAttributes
extends java.lang.Object
implements java.io.Serializable

Collection of attributes which control how a query is to be invoked.

There are two kinds of attributes - normal and feature flags.

- Normal attributes have a corresponding value. They are specified by calling `setAttribute(String,String)` or `setIntegerAttribute(String,int)`.
- Feature flags do not have a corresponding value - they are simply either enabled or disabled. By default, all features are disabled. You enable them with `enableFeature(String)`, and disable them with `disableFeature(java.lang.String)`.

It is important to use the correct methods for the attribute you want to modify. In particular, do not use `disableFeature()` to "turn off" a string-valued normal attribute; set it to `null` instead.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `COMPILE_ONLY` Feature flag requesting query processor only compile the query, not execute it.
`static java.lang.String` | `FORCE_COMPILE` Feature flag requesting query processor recompile query, instead of using any previously-cached version.
`static java.lang.String` | `GET_CURRENT_DATA` Feature flag requesting that cached content should be ignored, data computed and cached entries used in the current query refreshed

Constructor Summary
`QueryAttributes()`

Method Summary
`void` | `disableFeature(java.lang.String featureName)` Disable a specified feature flag for this query execution.
`void` | `enableFeature(java.lang.String featureName)` Enable a specified feature flag for this query execution.
`boolean` | `featureEnabled(java.lang.String featureName)` Inquire whether a particular feature is enabled or not for this query execution.
`java.lang.String` | `getAttribute(java.lang.String attributeName)` Retrieve a String-valued attribute.
`int` | `getIntegerAttribute(java.lang.String attributeName)` Retrieve an int-valued attribute.
`void` | `setAttribute(java.lang.String attributeName, java.lang.String attributeValue)` Provide a String value for an attribute for this query execution.
`void` | `setIntegerAttribute(java.lang.String attributeName, int value)` Provide an integer value for an attribute for this query execution.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPILE_ONLY

    public static final java.lang.String COMPILE_ONLY

  Feature flag requesting query processor only compile the query, not execute it.

### FORCE_COMPILE

    public static final java.lang.String FORCE_COMPILE

  Feature flag requesting query processor recompile query, instead of using any previously-cached version.

### GET_CURRENT_DATA

    public static final java.lang.String GET_CURRENT_DATA

  Feature flag requesting that cached content should be ignored, data computed and cached entries used in the current query refreshed

Constructor Detail

### QueryAttributes

    public QueryAttributes()

Method Detail

### setAttribute

    public void setAttribute(java.lang.String attributeName,
                             java.lang.String attributeValue)

  Provide a String value for an attribute for this query execution.

### setIntegerAttribute

    public void setIntegerAttribute(java.lang.String attributeName,
                                    int value)

  Provide an integer value for an attribute for this query execution.

### enableFeature

    public void enableFeature(java.lang.String featureName)

  Enable a specified feature flag for this query execution.

### disableFeature

    public void disableFeature(java.lang.String featureName)

  Disable a specified feature flag for this query execution. (All features are disabled by default until enabled by calling `enableFeature()`.)

### featureEnabled

    public boolean featureEnabled(java.lang.String featureName)

  Inquire whether a particular feature is enabled or not for this query execution.

### getAttribute

    public java.lang.String getAttribute(java.lang.String attributeName)

  Retrieve a String-valued attribute. Will return null if attribute unset.

### getIntegerAttribute

    public int getIntegerAttribute(java.lang.String attributeName)

  Retrieve an int-valued attribute. Will return 0 if attribute unset.

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Bea Systems Inc. All Rights Reserved.